Subject: Re: [PATCH v2 08/11] refs/reftable: allow configuring restart interval

From: Junio C Hamano <[email-masked]>
Date: Fri, 10 May 2024 14:57:46 -0700

Patrick Steinhardt <[email-masked]> writes:

> +
> +reftable.restartInterval::
> +	The interval at which to create restart points. The reftable backend
> +	determines the restart points at file creation. The process is
> +	arbitrary, but every 16 or 64 records is recommended. Every 16 may be

It is unclear what exactly "The process is arbitrary, but" wants to
say, especially the use of the noun "process".  The process the user
uses to choose the inteval value is?  The default value chosen by us
was arbitrary and out of thin air?

Just striking the whole sentence (or removing up to ", but" part and
starting the sentence with "Every 16 or 64") may make the resulting
paragraph easier to follow, I suspect.

> +	} else if (!strcmp(var, "reftable.restartinterval")) {
> +		unsigned long restart_interval = git_config_ulong(var, value, ctx->kvi);
> +		if (restart_interval > UINT16_MAX)
> +			die("reftable block size cannot exceed %u", (unsigned)UINT16_MAX);

OK.